import { TextDocument } from 'vscode-languageserver-textdocument';
import { Ref } from '@vue/reactivity';
import { IDescriptor, LanguageServiceContext } from '../types';
import * as SourceMaps from '../utils/sourceMaps';
import type * as css from 'vscode-css-languageservice';
import { TextRange } from '../parsers/types';
export declare function useSfcStyles(context: LanguageServiceContext, getUnreactiveDoc: () => TextDocument, styles: Ref<IDescriptor['styles']>): {
    textDocuments: import("@vue/reactivity").ComputedRef<{
        textDocument: TextDocument;
        stylesheet: css.Stylesheet | undefined;
        binds: TextRange[];
        links: {
            textDocument: TextDocument;
            stylesheet: css.Stylesheet;
        }[];
        module: string | undefined;
        scoped: boolean;
    }[]>;
    sourceMaps: import("@vue/reactivity").ComputedRef<SourceMaps.CssSourceMap[]>;
};
